<?php
session_start();
require 'verifica_cookie.php';
require 'conexao.php';
require 'config.php';

$item   = (isset($_POST['item'])) ? $_POST['item'] : '';
$id     = (isset($_POST['id'])) ? trim($_POST['id']) : '';
$fracao = (isset($_POST['fracao'])) ? trim($_POST['fracao']) : '';


if (isset($_SESSION['PEDIDO'])):

	unset($_SESSION['PEDIDO'][$item]['OPCIONAL']);

	if (!empty($id) && !empty($fracao)):
		$opcionais = explode(',', $id);
		$fracao_opcionais = explode(',', $fracao);

		foreach($opcionais as $opcional):
			if (!empty(trim($opcional))):

				if (in_array(trim($opcional), $fracao_opcionais) === TRUE):
				   $item_opcional = ['ID' => trim($opcional), 'FRACAO' => '1', 'DESCRICAO' => '', 'COMPLETO' => '0', 'QUANTIDADE' => 1, 'VALOR' => 0];
				else:
					$item_opcional = ['ID' => trim($opcional), 'FRACAO' => '0', 'DESCRICAO' => '', 'COMPLETO' => '0', 'QUANTIDADE' => 1, 'VALOR' => 0];
				endif;

				$_SESSION['PEDIDO'][$item]['OPCIONAL'][] = $item_opcional;
			endif;
		endforeach;

	elseif (!empty($id)):
		$opcionais = explode(',', $id);

		foreach($opcionais as $opcional):
			if (!empty(trim($opcional))):
				$item_opcional = ['ID' => trim($opcional), 'FRACAO' => '0', 'DESCRICAO' => '', 'COMPLETO' => '0', 'QUANTIDADE' => 1, 'VALOR' => 0];
				$_SESSION['PEDIDO'][$item]['OPCIONAL'][] = $item_opcional;
			endif;
		endforeach;
	endif;

	echo json_encode(['status' => 1]);
else:
	echo json_encode(['status' => 0]);
endif;